Bug 740938 - crashes on startup
Summary: crashes on startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 20:24 UTC by Stas Sergeev
Modified: 2011-12-07 14:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-07 14:48:59 UTC


Attachments (Terms of Use)

Description Stas Sergeev 2011-09-23 20:24:29 UTC
Description of problem:
Firefox crashes on startup...

Version-Release number of selected component (if applicable):
firefox-6.0.2-1.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. run firefox...
  
Actual results:
firefox crash reporting tool

Expected results:
firefox itself

Additional info:
Program received signal SIGSEGV, Segmentation fault.
0x00007ffff66548dd in PickChunk (cx=0x7fffc718a000)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsgc.cpp:485
485	    Chunk *chunk = cx->compartment->chunk;
(gdb) p cx->compartment
$1 = (JSCompartment *) 0x0
(gdb) bt
#0  0x00007ffff66548dd in PickChunk (cx=0x7fffc718a000)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsgc.cpp:485
#1  getArenaWithFreeList<JSObject> (thingKind=1, cx=0x7fffc718a000, this=
    0x7fffc719d030)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsgc.cpp:1161
#2  js::gc::RefillTypedFreeList<JSObject> (cx=0x7fffc718a000, thingKind=1)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsgc.cpp:1392
#3  0x00007ffff67431c5 in NewFinalizableGCThing<JSObject> (thingKind=1, cx=
    0x7fffc718a000) at ./jsgcinlines.h:188
#4  js_NewGCObject (kind=js::gc::FINALIZE_OBJECT0_BACKGROUND, cx=
    0x7fffc718a000) at ./jsgcinlines.h:198
#5  NewObject<true, false> (kind=js::gc::FINALIZE_OBJECT0_BACKGROUND, 
    parent=<optimized out>, proto=<optimized out>, clasp=<optimized out>, 
    cx=<optimized out>) at ./jsobjinlines.h:1227
#6  NewNonFunction<(js::WithProto::e)1> (parent=0x0, proto=0x0, clasp=
    0x7ffff5f0d2c0, cx=0x7fffc718a000) at ./jsobjinlines.h:1287
#7  js::GlobalObject::create (cx=0x7fffc718a000, clasp=0x7ffff5f0d2c0)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/vm/GlobalObject.cpp:108
#8  0x00007ffff65eeebc in JS_NewCompartmentAndGlobalObject (cx=0x7fffc718a000, 
    clasp=0x7ffff5f0d2c0, principals=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsapi.cpp:3037
#9  0x00007ffff50cb2bb in CreateNewCompartment (cx=0x7fffc718a000, clasp=
    0x7ffff5f0d2c0, principal=<optimized out>, priv=0x7fffc7191640, global=
    0x7fffffff4b78, compartment=0x7fffffff4b70)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/nsXPConnect.cpp:1053
#10 0x00007ffff50cdeb6 in xpc_CreateGlobalObject (cx=0x7fffc718a000, clasp=
    0x7ffff5f0d2c0, principal=<optimized out>, ptr=<optimized out>, 
    wantXrays=<optimized out>, global=0x7fffffff4b78, compartment=
    0x7fffffff4b70)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/nsXPConnect.cpp:1086
#11 0x00007ffff50cdfe3 in nsXPConnect::InitClassesWithNewWrappedGlobal (this=
    0x7fffde3ca3d0, aJSContext=0x7fffc718a000, aCOMObj=0x7fffc718c478, aIID=
    ..., aPrincipal=0x7fffc7284280, aExtraPtr=0x0, aFlags=0, _retval=
    0x7fffffff4d40)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/nsXPConnect.cpp:1173
#12 0x00007ffff4e9f34d in nsJSContext::CreateNativeGlobalForInner (this=
    0x7fffc7186160, aNewInner=0x7fffc718c478, aIsChrome=0, 
    aPrincipal=<optimized out>, aNativeGlobal=0x7fffc718c628, aHolder=
    0x7fffc7189dc8)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/dom/base/nsJSEnvironment.cpp:2251
#13 0x00007ffff4ebfc8b in nsGlobalWindow::SetNewDocument (this=0x7fffc7189c00, 
    aDocument=0x7fffc7177800, aState=0x0, 
    aForceReuseInnerWindow=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/dom/base/nsGlobalWindow.cpp:2022
#14 0x00007ffff4c03946 in DocumentViewerImpl::InitInternal (this=
    0x7fffc891ab00, aParentWidget=<optimized out>, aState=0x0, 
    aBounds=<optimized out>, aDoCreation=1, aNeedMakeCX=1, 
    aForceSetNewDocument=1)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/layout/base/nsDocumentViewer.cpp:979
#15 0x00007ffff4c03ea5 in DocumentViewerImpl::Init (this=<optimized out>, 
    aParentWidget=<optimized out>, aBounds=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/layout/base/nsDocumentViewer.cpp:725
#16 0x00007ffff516be9b in nsDocShell::SetupNewViewer (this=0x7fffc7189400, 
    aNewViewer=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/docshell/base/nsDocShell.cpp:7703
#17 0x00007ffff5170a26 in nsDocShell::Embed (this=0x7fffc7189400, 
    aContentViewer=0x7fffc891ab00, aCommand=<optimized out>, 
    aExtraInfo=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/docshell/base/nsDocShell.cpp:5751
#18 0x00007ffff5170626 in nsDocShell::CreateAboutBlankContentViewer (this=
    0x7fffc7189400, aPrincipal=<optimized out>, aBaseURI=0x0, 
    aTryToSaveOldPresentation=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/docshell/base/nsDocShell.cpp:6528
#19 0x00007ffff5170828 in EnsureContentViewer (this=0x7fffc7189400)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/docshell/base/nsDocShell.cpp:6432
#20 nsDocShell::EnsureContentViewer (this=0x7fffc7189400)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/docshell/base/nsDocShell.cpp:6399
#21 0x00007ffff516d3b0 in nsDocShell::GetInterface (this=0x7fffc7189400, aIID=
    ..., aSink=0x7fffffff53d8)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/docshell/base/nsDocShell.cpp:898
#22 0x00007ffff53dd873 in nsGetInterface::operator() (this=0x7fffffff53f0, 
    aIID=..., aInstancePtr=0x7fffffff53d8)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/xpcom/build/nsIInterfaceRequestorUtils.cpp:52
#23 0x00007ffff53dc76e in nsCOMPtr_base::assign_from_helper (this=
    0x7fffffff5408, helper=<optimized out>, iid=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/xpcom/build/nsCOMPtr.cpp:150
#24 0x00007ffff4eaee4b in nsCOMPtr (helper=..., this=0x7fffffff5408)
    at ../../dist/include/nsCOMPtr.h:644
#25 nsGlobalWindow::GetDocument (this=0x7fffc7189c00, aDocument=0x7fffffff5438)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/dom/base/nsGlobalWindow.cpp:2866
#26 0x00007ffff4eda8df in nsPIDOMWindow::EnsureInnerWindow (this=
    0x7fffc7189c00) at ../../dist/include/nsPIDOMWindow.h:345
#27 0x00007ffff4eca1d5 in nsWindowSH::PreCreate (this=<optimized out>, 
    nativeObj=<optimized out>, cx=<optimized out>, globalObj=<optimized out>, 
    parentObj=0x7fffffff5498)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/dom/base/nsDOMClassInfo.cpp:5249
#28 0x00007ffff50eba74 in ConstructProxyObject (ccx=..., aHelper=..., xpcscope=
    0x7fffc89f7800)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/xpcwrappednative.cpp:3940
#29 0x00007ffff50da60f in XPCConvert::NativeInterface2JSObject (
    lccx=<optimized out>, d=0x7fffffff56f0, dest=0x0, aHelper=..., iid=
    0x7fffffff5a68, Interface=0x0, allowNativeWrapper=1, isGlobal=0, pErr=
    0x7fffffff56f8)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/xpcconvert.cpp:1190
#30 0x00007ffff50db0b0 in XPCConvert::NativeData2JS (lccx=..., d=
    0x7fffffff56f0, s=<optimized out>, type=..., iid=<optimized out>, pErr=
    0x7fffffff56f8)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/xpcconvert.cpp:487
#31 0x00007ffff50ee54c in NativeData2JS (pErr=0x7fffffff56f8, iid=
    0x7fffffff5a68, type=..., s=0x7fffffff57d8, d=0x7fffffff56f0, 
    ccx=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/xpcprivate.h:3210
#32 GatherAndConvertResults (this=0x7fffffff5780)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/xpcwrappednative.cpp:2663
#33 Call (this=0x7fffffff5780)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/xpcwrappednative.cpp:2422
#34 XPCWrappedNative::CallMethod (ccx=<optimized out>, mode=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/xpcwrappednative.cpp:2371
#35 0x00007ffff50f34cc in XPC_WN_CallMethod (cx=0x7fffc8748c00, argc=1, vp=
    0x7fffdbb00658)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/xpcwrappednativejsops.cpp:1610
#36 0x00007ffff6669d01 in CallJSNative (vp=0x7fffdbb00658, argc=1, 
    native=<optimized out>, cx=0x7fffc8748c00)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jscntxtinlines.h:277
#37 js::Interpret (cx=0x7fffc8748c00, entryFrame=0x7fffdbb005f8, 
    inlineCallCount=0, interpMode=js::JSINTERP_NORMAL)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:4685
#38 0x00007ffff6672d87 in js::Invoke (cx=0x7fffc8748c00, 
    argsRef=<optimized out>, option=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:694
#39 0x00007ffff6673ee6 in ExternalInvoke (rval=0x7fffffff6630, argv=0x0, argc=
    0, fval=..., thisv=<optimized out>, cx=0x7fffc8748c00)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:816
#40 js::ExternalGetOrSet (cx=0x7fffc8748c00, obj=0x7fffc7392738, 
    id=<optimized out>, fval=..., mode=<optimized out>, argc=0, argv=0x0, rval=
    0x7fffffff6630)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:856
#41 0x00007ffff6690d18 in get (vp=0x7fffffff6630, pobj=0x7fffb8e0b9f8, obj=
    0x7fffc7392738, receiver=0x7fffc7392738, cx=0x7fffc8748c00, this=
    0x7fffb8e16780)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsscopeinlines.h:269
#42 js_NativeGetInline (vp=0x7fffffff6630, getHow=1, shape=0x7fffb8e16780, 
    pobj=0x7fffb8e0b9f8, obj=0x7fffc7392738, receiver=0x7fffc7392738, cx=
    0x7fffc8748c00)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsobj.cpp:5218
#43 js_GetPropertyHelperWithShapeInline (holderOut=<optimized out>, 
    shapeOut=<synthetic pointer>, getHow=1, id=<optimized out>, vp=
    0x7fffffff6630, receiver=0x7fffc7392738, obj=0x7fffc7392738, cx=
    0x7fffc8748c00)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsobj.cpp:5400
#44 js_GetPropertyHelperInline (vp=0x7fffffff6630, getHow=1, 
    id=<optimized out>, receiver=0x7fffc7392738, obj=0x7fffc7392738, cx=
    0x7fffc8748c00)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsobj.cpp:5421
#45 js_GetPropertyHelper (cx=0x7fffc8748c00, obj=0x7fffc7392738, 
    id=<optimized out>, getHow=1, vp=0x7fffffff6630)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsobj.cpp:5427
#46 0x00007ffff6660e37 in js::Interpret (cx=0x7fffc8748c00, entryFrame=
    0x7fffdbb00568, inlineCallCount=0, interpMode=js::JSINTERP_NORMAL)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:4094
#47 0x00007ffff6672d87 in js::Invoke (cx=0x7fffc8748c00, 
    argsRef=<optimized out>, option=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:694
#48 0x00007ffff6673ee6 in ExternalInvoke (rval=0x7fffffff6df0, argv=0x0, argc=
    0, fval=..., thisv=<optimized out>, cx=0x7fffc8748c00)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:816
#49 js::ExternalGetOrSet (cx=0x7fffc8748c00, obj=0x7fffc7392738, 
    id=<optimized out>, fval=..., mode=<optimized out>, argc=0, argv=0x0, rval=
    0x7fffffff6df0)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:856
#50 0x00007ffff6690d18 in get (vp=0x7fffffff6df0, pobj=0x7fffb8e0b9f8, obj=
    0x7fffc7392738, receiver=0x7fffc7392738, cx=0x7fffc8748c00, this=
    0x7fffb8e16c80)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsscopeinlines.h:269
#51 js_NativeGetInline (vp=0x7fffffff6df0, getHow=1, shape=0x7fffb8e16c80, 
    pobj=0x7fffb8e0b9f8, obj=0x7fffc7392738, receiver=0x7fffc7392738, cx=
    0x7fffc8748c00)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsobj.cpp:5218
#52 js_GetPropertyHelperWithShapeInline (holderOut=<optimized out>, 
    shapeOut=<synthetic pointer>, getHow=1, id=<optimized out>, vp=
    0x7fffffff6df0, receiver=0x7fffc7392738, obj=0x7fffc7392738, cx=
    0x7fffc8748c00)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsobj.cpp:5400
#53 js_GetPropertyHelperInline (vp=0x7fffffff6df0, getHow=1, 
    id=<optimized out>, receiver=0x7fffc7392738, obj=0x7fffc7392738, cx=
    0x7fffc8748c00)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsobj.cpp:5421
#54 js_GetPropertyHelper (cx=0x7fffc8748c00, obj=0x7fffc7392738, 
    id=<optimized out>, getHow=1, vp=0x7fffffff6df0)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsobj.cpp:5427
#55 0x00007ffff6660e37 in js::Interpret (cx=0x7fffc8748c00, entryFrame=
    0x7fffdbb004e8, inlineCallCount=0, interpMode=js::JSINTERP_NORMAL)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:4094
#56 0x00007ffff6672d87 in js::Invoke (cx=0x7fffc8748c00, 
    argsRef=<optimized out>, option=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:694
#57 0x00007ffff66739ec in js::ExternalInvoke (cx=0x7fffc8748c00, thisv=..., 
    fval=..., argc=0, argv=0x0, rval=0x7fffffff72e8)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:816
#58 0x00007ffff65f3b81 in JS_CallFunctionValue (cx=0x7fffc8748c00, 
    obj=<optimized out>, fval=18445618172850251224, argc=<optimized out>, 
    argv=<optimized out>, rval=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsapi.cpp:5080
#59 0x00007ffff4e7df34 in nsXBLProtoImplAnonymousMethod::Execute (
    this=<optimized out>, aBoundElement=0x7fffc7180b00)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/content/xbl/src/nsXBLProtoImplMethod.cpp:337
#60 0x00007ffff4e86ada in ProcessAttachedQueue (aSkipSize=0, this=
    0x7fffc8736a00)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/content/xbl/src/nsBindingManager.cpp:1028
#61 nsBindingManager::ProcessAttachedQueue (this=0x7fffc8736a00, aSkipSize=0)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/content/xbl/src/nsBindingManager.cpp:1013
#62 0x00007ffff4e86b46 in nsBindingManager::EndOutermostUpdate (this=
    0x7fffc8736a00)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/content/xbl/src/nsBindingManager.cpp:1782
#63 0x00007ffff4d581c5 in nsDocument::EndUpdate (this=0x7fffc86c1800, 
    aUpdateType=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/content/base/src/nsDocument.cpp:3977
#64 0x00007ffff4e92867 in nsXULDocument::EndUpdate (this=0x7fffc86c1800, 
    aUpdateType=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/content/xul/document/src/nsXULDocument.cpp:3338
#65 0x00007ffff4cb0bf0 in mozAutoDocUpdate::~mozAutoDocUpdate (this=
    0x7fffffff73f8, __in_chrg=<optimized out>)
    at ../../content/base/src/mozAutoDocUpdate.h:66
#66 0x00007ffff4d6b222 in ReplaceOrInsertBefore (aRefChild=<optimized out>, 
    aNewChild=<optimized out>, aReplace=0, this=0x7fffb90c4000)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/content/base/src/nsGenericElement.cpp:4070
#67 nsINode::ReplaceOrInsertBefore (this=0x7fffb90c4000, aReplace=0, 
    aNewChild=<optimized out>, aRefChild=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/content/base/src/nsGenericElement.cpp:4012
#68 0x00007ffff5151fe9 in ReplaceOrInsertBefore (aReturn=0x7fffffff74ec, 
    aRefChild=<optimized out>, aNewChild=0x7fffc7180c80, aReplace=0, 
    this=<optimized out>) at ../../../../dist/include/nsINode.h:1267
#69 nsINode::InsertBefore (this=<optimized out>, aNewChild=0x7fffc7180c80, 
    aRefChild=<optimized out>, aReturn=0x7fffffff74ec)
    at ../../../../dist/include/nsINode.h:444
#70 0x00007ffff511afcf in AppendChild (aReturn=0x7fffffff74ec, 
    aNewChild=<optimized out>, this=<optimized out>)
    at ../../../../dist/include/nsINode.h:454
#71 nsIDOMNode_AppendChild (cx=0x7fffc8748c00, argc=1, vp=0x7fffdbb004c0)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/dom_quickstubs.cpp:5951
#72 0x00007ffff6669d01 in CallJSNative (vp=0x7fffdbb004c0, argc=1, 
    native=<optimized out>, cx=0x7fffc8748c00)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jscntxtinlines.h:277
#73 js::Interpret (cx=0x7fffc8748c00, entryFrame=0x7fffdbb001f8, 
    inlineCallCount=3, interpMode=js::JSINTERP_NORMAL)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:4685
#74 0x00007ffff6672d87 in js::Invoke (cx=0x7fffc8748c00, 
    argsRef=<optimized out>, option=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:694
#75 0x00007ffff66739ec in js::ExternalInvoke (cx=0x7fffc8748c00, thisv=..., 
    fval=..., argc=1, argv=0x7fffffff8118, rval=0x7fffffff7f68)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:816
#76 0x00007ffff65f3b81 in JS_CallFunctionValue (cx=0x7fffc8748c00, 
    obj=<optimized out>, fval=18445618172901150984, argc=<optimized out>, 
    argv=<optimized out>, rval=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsapi.cpp:5080
#77 0x00007ffff50e9056 in nsXPCWrappedJSClass::CallMethod (this=
    0x7fffc6b6dbc0, wrapper=<optimized out>, methodIndex=<optimized out>, info=
    0x7fffde423810, nativeParams=0x7fffffff8218)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/xpcwrappedjsclass.cpp:1662
#78 0x00007ffff50e48af in nsXPCWrappedJS::CallMethod (this=0x7fffdac1d380, 
    methodIndex=3, info=0x7fffde423810, params=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/xpcwrappedjs.cpp:586
#79 0x00007ffff541b8e1 in PrepareAndDispatch (self=0x7fffc98a0980, 
    methodIndex=<optimized out>, args=<optimized out>, gpregs=0x7fffffff82f0, 
    fpregs=0x7fffffff8320)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/xpcom/reflect/xptcall/src/md/unix/xptcstubs_x86_64_linux.cpp:153
#80 0x00007ffff541adcf in SharedStub () from /usr/lib64/xulrunner-2/libxul.so
#81 0x00007ffff541ad2f in NS_InvokeByIndex_P (that=<optimized out>, 
    methodIndex=<optimized out>, paramCount=1, params=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_x86_64_unix.cpp:195
#82 0x00007ffff50ee180 in Invoke (this=0x7fffffff8580)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/xpcwrappednative.cpp:3141
#83 Call (this=0x7fffffff8580)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/xpcwrappednative.cpp:2407
#84 XPCWrappedNative::CallMethod (ccx=<optimized out>, mode=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/xpcwrappednative.cpp:2371
#85 0x00007ffff50f34cc in XPC_WN_CallMethod (cx=0x7fffc8748c00, argc=1, vp=
    0x7fffdbb001c8)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/xpconnect/src/xpcwrappednativejsops.cpp:1610
#86 0x00007ffff6669d01 in CallJSNative (vp=0x7fffdbb001c8, argc=1, 
    native=<optimized out>, cx=0x7fffc8748c00)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jscntxtinlines.h:277
#87 js::Interpret (cx=0x7fffc8748c00, entryFrame=0x7fffdbb000d8, 
    inlineCallCount=0, interpMode=js::JSINTERP_NORMAL)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:4685
#88 0x00007ffff6672d87 in js::Invoke (cx=0x7fffc8748c00, 
    argsRef=<optimized out>, option=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:694
#89 0x00007ffff66739ec in js::ExternalInvoke (cx=0x7fffc8748c00, thisv=..., 
    fval=..., argc=3, argv=0x7fffb6e9c9c0, rval=0x7fffffff91e8)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsinterp.cpp:816
#90 0x00007ffff65f3b81 in JS_CallFunctionValue (cx=0x7fffc8748c00, 
    obj=<optimized out>, fval=18445618172872398120, argc=<optimized out>, 
    argv=<optimized out>, rval=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/js/src/jsapi.cpp:5080
#91 0x00007ffff4ea1d63 in CallEventHandler (arv=0x7fffffff93d0, aargv=
    0x7fffb699b678, aHandler=0x7fffc88c9528, aScope=<optimized out>, 
    aTarget=<optimized out>, this=0x7fffc8776fa0)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/dom/base/nsJSEnvironment.cpp:1906
#92 nsJSContext::CallEventHandler (this=0x7fffc8776fa0, 
    aTarget=<optimized out>, aScope=<optimized out>, aHandler=0x7fffc88c9528, 
    aargv=0x7fffb699b678, arv=0x7fffffff93d0)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/dom/base/nsJSEnvironment.cpp:1825
#93 0x00007ffff4eb236b in nsGlobalWindow::RunTimeout (this=0x7fffde42e000, 
    aTimeout=0x7fffb7964900)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/dom/base/nsGlobalWindow.cpp:9209
#94 0x00007ffff4eb2698 in nsGlobalWindow::TimerCallback (
    aTimer=<optimized out>, aClosure=0x7fffb7964900)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/dom/base/nsGlobalWindow.cpp:9554
#95 0x00007ffff54111f6 in nsTimerImpl::Fire (this=0x7fffb6e73150)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/xpcom/threads/nsTimerImpl.cpp:424
#96 0x00007ffff54112bf in nsTimerEvent::Run (this=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/xpcom/threads/nsTimerImpl.cpp:520
#97 0x00007ffff540e85a in nsThread::ProcessNextEvent (this=0x7fffe461d950, 
    mayWait=0, result=0x7fffffff94fc)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/xpcom/threads/nsThread.cpp:618
#98 0x00007ffff53dfbe0 in NS_ProcessNextEvent_P (thread=<optimized out>, 
    mayWait=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/xpcom/build/nsThreadUtils.cpp:245
#99 0x00007ffff5375888 in mozilla::ipc::MessagePump::Run (this=0x7fffe465a640, 
    aDelegate=0x7ffff6ddaff0)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/ipc/glue/MessagePump.cpp:110
#100 0x00007ffff5437693 in RunHandler (this=0x7ffff6ddaff0)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/ipc/chromium/src/base/message_loop.cc:202
#101 MessageLoop::Run (this=0x7ffff6ddaff0)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/ipc/chromium/src/base/message_loop.cc:176
#102 0x00007ffff52f2df8 in nsBaseAppShell::Run (this=0x7fffe4654ef0)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/widget/src/xpwidgets/nsBaseAppShell.cpp:189
#103 0x00007ffff51cad7e in nsAppStartup::Run (this=0x7fffde3f3540)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/toolkit/components/startup/nsAppStartup.cpp:222
#104 0x00007ffff4abe2d0 in XRE_main (argc=<optimized out>, 
    argv=<optimized out>, aAppData=<optimized out>)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/toolkit/xre/nsAppRunner.cpp:3686
#105 0x0000000000401f8d in main (argc=1, argv=0x7fffffffe0a8)
    at /usr/src/debug/xulrunner-6.0.2/mozilla-release/xulrunner/stub/nsXULStub.cpp:496

Comment 1 Stas Sergeev 2011-09-23 20:26:45 UTC
If it is typical for firefox to have the stack traces 
over 100 frames deep, then I'd better try epiphany instead... :)

Comment 2 John Bouras 2011-10-11 21:11:36 UTC
I have the same problem, although I didn't want to leave an entire trace.

I installed F16 using preupgrade. Both Firefox and Chromium were broken upon restart.

I just simply attempted to start firefox with terminal, and the output is:

Couldn't load XPCOM.

I had to use Epiphany to login to Bugzilla. Isn't it wonderful that a browser that I never use helped me get back on my feet, so to speak?

Comment 3 Martin Stransky 2011-12-07 14:21:53 UTC
If you still see the bug, can you try to start firefox in safe mode? "firefox -safe-mode".

Comment 4 Stas Sergeev 2011-12-07 14:48:59 UTC
To me, the bug was specific to firefox-6.
Since it is no longer in use, I close this.


Note You need to log in before you can comment on or make changes to this bug.